summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2019-02-09 00:40:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-02-09 00:40:17 +0700
commit6d99779a970d7ecba48d526e8dc819c452155c8a (patch)
tree106e681e6e8b0737a3f1f54af1c5ba5273bcbb71
parent6bcb87c2bf353fd7c1b250a89a3f174d065a8699 (diff)
downloadslackbuilds-6d99779a970d7ecba48d526e8dc819c452155c8a.tar.gz
slackbuilds-6d99779a970d7ecba48d526e8dc819c452155c8a.tar.xz
graphics/abcm2ps: Added (converter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/abcm2ps/README3
-rw-r--r--graphics/abcm2ps/abcm2ps.SlackBuild105
-rw-r--r--graphics/abcm2ps/abcm2ps.info11
-rw-r--r--graphics/abcm2ps/doinst.sh63
-rw-r--r--graphics/abcm2ps/slack-desc19
5 files changed, 201 insertions, 0 deletions
diff --git a/graphics/abcm2ps/README b/graphics/abcm2ps/README
new file mode 100644
index 0000000000..10edde39bd
--- /dev/null
+++ b/graphics/abcm2ps/README
@@ -0,0 +1,3 @@
+abcm2ps is a command line program which converts ABC to music sheet in
+PostScript or SVG format. It is an extension of abc2ps which may handle many
+voices per staff.
diff --git a/graphics/abcm2ps/abcm2ps.SlackBuild b/graphics/abcm2ps/abcm2ps.SlackBuild
new file mode 100644
index 0000000000..7a7e2ef301
--- /dev/null
+++ b/graphics/abcm2ps/abcm2ps.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+# Slackware build script for <abcm2ps>
+#
+# Michales (clavisound) Michaloudes korgie@gmail.com <2017>
+
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=abcm2ps
+VERSION=${VERSION:-8.14.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# proper prefix
+sed -i 's+/usr/local+/usr+' $TMP/$PRGNAM-$VERSION/configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README.md INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/abcm2ps/abcm2ps.info b/graphics/abcm2ps/abcm2ps.info
new file mode 100644
index 0000000000..ae6feafe84
--- /dev/null
+++ b/graphics/abcm2ps/abcm2ps.info
@@ -0,0 +1,11 @@
+PRGNAM="abcm2ps"
+VERSION="8.14.2"
+HOMEPAGE="http://moinejf.free.fr/"
+DOWNLOAD="https://github.com/leesavide/abcm2ps/archive/v8.14.2/abcm2ps-8.14.2.tar.gz"
+MD5SUM="5100f806e4da53434f6493e2503dc2fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+
diff --git a/graphics/abcm2ps/doinst.sh b/graphics/abcm2ps/doinst.sh
new file mode 100644
index 0000000000..1cdfb9ee43
--- /dev/null
+++ b/graphics/abcm2ps/doinst.sh
@@ -0,0 +1,63 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install blah.schemas
+preserve_perms etc/rc.d/rc.INIT.new
+config etc/configfile.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
+# If needed -- be sure to sed @LIBDIR@ inside the build script
+chroot . /usr/bin/gio-querymodules @LIBDIR@/gio/modules/ 1> /dev/null 2> /dev/null
+
+if [ -x /usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/blah.gz 2> /dev/null
+fi
diff --git a/graphics/abcm2ps/slack-desc b/graphics/abcm2ps/slack-desc
new file mode 100644
index 0000000000..0d1e2960d4
--- /dev/null
+++ b/graphics/abcm2ps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+abcm2ps: abcm2ps (converts abc music notation to ps or SVG)
+abcm2ps:
+abcm2ps: abcm2ps is a C program which converts music tunes from the ABC music
+abcm2ps: notation to PostScript or SVG.
+abcm2ps:
+abcm2ps: Based on the abc2ps version 1.2.5 from Michael Methfessel, it was
+abcm2ps: first developped to print barock organ scores that have independant
+abcm2ps: voices played on one or many keyboards and a pedal-board
+abcm2ps: (the 'm' of abcm2ps stands for many or multi staves/voices).
+abcm2ps: Since this time, it has evolved so it can render many more music
+abcm2ps: kinds.